CREATE TABLE hrc_sdl_attr_maps (
    ATTR_MAP_ID                      NUMBER(18, 0) ,
    BO_MAP_ID                        NUMBER(18, 0)     NOT NULL,
    SEQUENCE_NUMBER                  NUMBER(5, 0)      NOT NULL,
    BUSINESS_OBJECT_ID               NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_NAME                   VARCHAR2(400)     NOT NULL,
    ATTRIBUTE_LABEL                  VARCHAR2(960)     NOT NULL,
    ATTRIBUTE_TYPE                   VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_SUBTYPE                VARCHAR2(120) ,
    ATTRIBUTE_SUB_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE_DATATYPE               VARCHAR2(120)     NOT NULL,
    MANDATORY_FLAG                   VARCHAR2(16)      NOT NULL,
    USER_KEY_FLAG                    VARCHAR2(16)      NOT NULL,
    PARENT_USER_KEY_FLAG             VARCHAR2(16)      NOT NULL,
    PARENT_BUSINESS_OBJECT_ID        NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_NAME            VARCHAR2(400) ,
    FLEXFIELD_CODE                   VARCHAR2(160) ,
    FLEXFIELD_CONTEXT_CODE           VARCHAR2(320) ,
    USER_KEY_ATTR_NAMES              VARCHAR2(4000),
    LIST_TYPE                        VARCHAR2(400) ,
    DISPLAY_TYPE                     VARCHAR2(960) ,
    LIST_VIEW_DEF_NAME               VARCHAR2(960) ,
    DISPLAY_ATTR_LIST                VARCHAR2(960) ,
    RETURN_ATTR_NAME                 VARCHAR2(4000),
    LIST_VIEW_CRIT_LIST              VARCHAR2(4000),
    LIST_BIND_MAP                    VARCHAR2(4000),
    LIST_QUERY_CRITERIA              VARCHAR2(960) ,
    ENTERPRISE_ID                    NUMBER(18, 0)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SECURE_FLAG                      VARCHAR2(16)  ,
    DATA_LENGTH                      NUMBER(4, 0)  ,
    REFERENCED_BUSINESS_OBJECT_ID    NUMBER(18, 0) ,
    INTKEY_HINT_ALLOWED_FLAG         VARCHAR2(16)  ,
    DEPENDENT_ATTR_NAMES             VARCHAR2(4000),
    ATTR_DETAILS                     VARCHAR2(4000),
    ATTRIB_INFO1                     VARCHAR2(4000),
    ATTRIB_INFO2                     VARCHAR2(4000),
    ATTRIB_INFO3                     VARCHAR2(4000),
    ATTR_MAP_ID                      NUMBER(18, 0) ,
    BO_MAP_ID                        NUMBER(18, 0)     NOT NULL,
    SEQUENCE_NUMBER                  NUMBER(5, 0)      NOT NULL,
    BUSINESS_OBJECT_ID               NUMBER(18, 0)     NOT NULL,
    ATTRIBUTE_NAME                   VARCHAR2(400)     NOT NULL,
    ATTRIBUTE_LABEL                  VARCHAR2(960)     NOT NULL,
    ATTRIBUTE_TYPE                   VARCHAR2(120)     NOT NULL,
    ATTRIBUTE_SUBTYPE                VARCHAR2(120) ,
    ATTRIBUTE_DATATYPE               VARCHAR2(120)     NOT NULL,
    MANDATORY_FLAG                   VARCHAR2(16)      NOT NULL,
    USER_KEY_FLAG                    VARCHAR2(16)      NOT NULL,
    PARENT_USER_KEY_FLAG             VARCHAR2(16)      NOT NULL,
    PARENT_BUSINESS_OBJECT_ID        NUMBER(18, 0) ,
    PARENT_ATTRIBUTE_NAME            VARCHAR2(400) ,
    FLEXFIELD_CODE                   VARCHAR2(160) ,
    FLEXFIELD_CONTEXT_CODE           VARCHAR2(320) ,
    USER_KEY_ATTR_NAMES              VARCHAR2(4000),
    LIST_TYPE                        VARCHAR2(400) ,
    DISPLAY_TYPE                     VARCHAR2(960) ,
    LIST_VIEW_DEF_NAME               VARCHAR2(960) ,
    DISPLAY_ATTR_LIST                VARCHAR2(960) ,
    RETURN_ATTR_NAME                 VARCHAR2(4000),
    LIST_VIEW_CRIT_LIST              VARCHAR2(4000),
    LIST_BIND_MAP                    VARCHAR2(4000),
    LIST_QUERY_CRITERIA              VARCHAR2(960) ,
    ENTERPRISE_ID                    NUMBER(18, 0)     NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SECURE_FLAG                      VARCHAR2(16)  ,
    DATA_LENGTH                      NUMBER(4, 0)  ,
    REFERENCED_BUSINESS_OBJECT_ID    NUMBER(18, 0) ,
    INTKEY_HINT_ALLOWED_FLAG         VARCHAR2(16)  ,
    DEPENDENT_ATTR_NAMES             VARCHAR2(4000),
    ATTR_DETAILS                     VARCHAR2(4000),
    ATTRIBUTE_SUB_CATEGORY           VARCHAR2(120) ,
    ATTRIB_INFO1                     VARCHAR2(4000),
    ATTRIB_INFO2                     VARCHAR2(4000),
    ATTRIB_INFO3                     VARCHAR2(4000),
    CONSTRAINT pk_hrc_sdl_attr_maps PRIMARY KEY (ATTR_MAP_ID, ATTR_MAP_ID)
);
